# Class PoolUtilities

java.lang.Object
org.apache.tomcat.jdbc.pool.PoolUtilities

public class PoolUtilities extends Object
Utility methods for managing JDBC pool properties.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_PASSWORD`
Property key for the database password.
`static final String`
`PROP_USER`
Property key for the database user name.

## Constructor Summary

Constructors
Constructor
Description
`PoolUtilities()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`static Properties`
`clone(Properties p)`
Creates a shallow copy of the given properties.
`static Properties`
`cloneWithoutPassword(Properties p)`
Creates a copy of the given properties with the password entry removed.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROP_USER

public static final String PROP_USER
Property key for the database user name.

See Also:
  - Constant Field Values

### PROP_PASSWORD

public static final String PROP_PASSWORD
Property key for the database password.

See Also:
  - Constant Field Values

## Constructor Details

### PoolUtilities

public PoolUtilities()
Default constructor.

## Method Details

### clone

public static Properties clone(Properties p)
Creates a shallow copy of the given properties.

Parameters:
  `p` - the properties to clone
Returns:
  a new Properties instance containing all entries from the source

### cloneWithoutPassword

public static Properties cloneWithoutPassword(Properties p)
Creates a copy of the given properties with the password entry removed.

Parameters:
  `p` - the properties to clone
Returns:
  a new Properties instance with all entries except the password